std::experimental::ranges::Permutable(3)

NAME
std::experimental::ranges::Permutable - std::experimental::ranges::Permutable

Synopsis
   template <class I>
   concept bool Permutable =
   ForwardIterator<I> && (ranges TS)
   IndirectlyMovableStorable<I, I> &&
   IndirectlySwappable<I, I>;
   The Permutable concept specifies the common requirements of algorithms that reorder
   elements in place by moving or swapping them (for example, ranges::rotate).